Subject: Re: Problem with 2.4.24 e1000 and keepalived

From: Willy Tarreau <[email-masked]>
Date: Thu, 8 Jan 2004 06:20:00 +0100

Hi Ben,

On Wed, Jan 07, 2004 at 06:45:04PM -0800, Ben Greear wrote:
 
> You have to bring the interface 'UP' before it will detect link,
> with something like:  ifconfig eth2 up

Don't you mean "after" instead of "before" here ? Because the case where
it doesn't work is when everything is set up while the cable is unplugged,
but conversely, if the system goes up with the cable plugged, setting the
interface UP detects the link as UP and works. I believe that the problem
is related to setting the interface UP with nothing plugged into it.

Cheers,
Willy